Index: trunk/src/lib/graphics/text_engine/text.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/text.cc	(revision 7354)
+++ trunk/src/lib/graphics/text_engine/text.cc	(revision 7355)
@@ -19,41 +19,15 @@
 #include "font.h"
 
-#include "graphics_engine.h"
 #include "util/loading/resource_manager.h"
-#include "class_list.h"
 #include "debug.h"
-#include "p_node.h"
 
 using namespace std;
 
 /**
- *  creates a new Text Element
+ * @brief creates a new Text Element
  * @param fontFile the Font to render this text in
  * @param type The renderType to display this font in
  */
 Text::Text(const std::string& fontFile, unsigned int textSize)
-{
-  this->init();
-
-  if (!fontFile.empty())
-    this->setFont(fontFile, FONT_DEFAULT_RENDER_SIZE);
-  this->setSizeY2D(textSize);
-}
-
-/**
- *  deletes a Text out of memory
- *
- * This also ereases the text from the textList of the TextEngine
- */
-Text::~Text()
-{
-  if (this->font != NULL && this->font != Font::getDefaultFont())
-    ResourceManager::getInstance()->unload(this->font);
-}
-
-/**
- * initializes Text
- */
-void Text::init()
 {
   this->setClassID(CL_TEXT, "Text");
@@ -67,8 +41,23 @@
   this->setSize(TEXT_DEFAULT_SIZE);
   this->setText("");
-}
-
-/**
- * sets the Font of this Text to font from fontFile
+
+
+  if (!fontFile.empty())
+    this->setFont(fontFile, FONT_DEFAULT_RENDER_SIZE);
+  this->setSizeY2D(textSize);
+}
+
+/**
+ * @brief deletes a Text out of memory
+ */
+Text::~Text()
+{
+  if (this->font != NULL && this->font != Font::getDefaultFont())
+    ResourceManager::getInstance()->unload(this->font);
+}
+
+
+/**
+ * @brief sets the Font of this Text to font from fontFile
  * @param fontFile the File to load the Font from.
  * @param fontSize the Size of the Font
@@ -97,5 +86,5 @@
 
 /**
- * Sets a new Text to the font
+ * @brief Sets a new Text to the font
  * @param text the new text to set
  */
@@ -127,5 +116,5 @@
 
 /**
- *  draws the Text
+ * @brief draws the Text
  */
 void Text::draw() const
@@ -194,12 +183,9 @@
 
 /**
- *  prints out some nice debug information about this text
+ * @brief prints out some nice debug information about this text
  */
 void Text::debug() const
 {
   PRINT(0)("=== TEXT: %s ===\n", this->text.c_str());
-
-  if (this->getBindNode())
-    PRINT(0)("is bind to %s; ref=%p\n", this->getBindNode()->getName(), this->getBindNode());
   PRINT(0)("Color: %0.2f %0.2f %0.2f\n", this->color.x, this->color.y, this->color.z);
 }
@@ -210,5 +196,5 @@
 ////////////
 /**
- * Loads a Font from an SDL_surface into a texture.
+ * @brief Loads a Font from an SDL_surface into a texture.
  * @param surface The surface to make the texture of
  * @param texCoord The texture coordinates of the 4 corners of the texture
@@ -291,5 +277,5 @@
 
 /**
- *  Quick utility function for texture creation
+ * @brief Quick utility function for texture creation
  * @param input an integer
  * @returns the next bigger 2^n-integer than input
Index: trunk/src/lib/graphics/text_engine/text.h
===================================================================
--- trunk/src/lib/graphics/text_engine/text.h	(revision 7354)
+++ trunk/src/lib/graphics/text_engine/text.h	(revision 7355)
@@ -2,5 +2,5 @@
  * @file text.h
  * @brief Definition of a text Class, that is able to render text.
-*/
+ */
 
 #ifndef _TEXT_H
@@ -41,5 +41,4 @@
     Text(const std::string& fontFile = "", unsigned int fontSize = TEXT_DEFAULT_SIZE);
     virtual ~Text();
-    void init();
 
     void setFont(const std::string& fontFile, unsigned int renderSize);
Index: trunk/src/lib/sound/sound_engine.h
===================================================================
--- trunk/src/lib/sound/sound_engine.h	(revision 7354)
+++ trunk/src/lib/sound/sound_engine.h	(revision 7355)
@@ -15,5 +15,5 @@
 #include <list>
 #include <stack>
-#include <SDL_thread.h>
+#include "threading.h"
 
 #define SOUND_DOPPLER_FACTOR       0.001          //!< A factor for the audible doppler effect
Index: trunk/src/lib/util/loading/dynamic_loader.cc
===================================================================
--- trunk/src/lib/util/loading/dynamic_loader.cc	(revision 7354)
+++ trunk/src/lib/util/loading/dynamic_loader.cc	(revision 7355)
@@ -18,5 +18,5 @@
 #include "dynamic_loader.h"
 
-
+#ifndef __WIN32__
 #include <dlfcn.h>
 
@@ -79,2 +79,3 @@
 {
 }
+#endif
